(function( $ ) {
	'use strict';
	$( window ).load(function() {
		// ========== GENERAL SETTINGS PAGE

		$( '#deregister' ).click( function( event ){
			event.preventDefault();
			var license = $( '#license_key' ).val();
			if ( '' == license  ) {
				$( '#license-active' ).text( 'Please contact hello@dialectpro.org if you are experiencing issues.' ).addClass('alert');
			} else {
				// Continue validating license
				var api_host 	= $( '#dpro_server' ).val();
				var api_password = $( '#dpro_password' ).val();
				var api_ref 	= $( '#dpro_ref' ).val();
				var api_email 	= $( '#dpro_email' ).val();
				var api_domain 	= $( '#dpro_domain' ).val();
				$.getJSON( api_host,
					{
						'request': 'deactivation',
						instance: api_password,
						licence_key: license,
						platform: api_domain,
						product_id: api_ref,
						email: api_email
					},
			    	function( response ){
						console.log( response );
						if ( true != response.deactivated ) {
							$( '#license-active' ).text( response.message ).addClass('alert');
						}
						if ( true == response.deactivated ) {
							$( '#license-active' ).text( 'This domain has been deregistered.').removeClass('alert').addClass('success');
							$( '#license_key' ).remove();
							var url = ajaxurl + '?action=dictionary-pro-delete-license-key';
							$.getJSON( url, function(response){ console.log(response) });
						}
					});
			}
		});

		// ========== APPEARANCE SETTINGS PAGE
		$( "#sortable" ).sortable();
		$( "#sortable" ).disableSelection();

		// ========== ADVANCED SETTINGS PAGE
		/**
		* Listener for Delete Links
		*/
		$( '.delete a' ).click(function( event ) {
			event.preventDefault();
			var remove_id = $( this ).attr( 'rel' );
			var c = confirm( 'Are you sure you want to delete ' + remove_id + '?' );
			if ( c == true ) {
				console.log( '#' + remove_id );
				$( '#' + remove_id ).remove();
			}
		});
		/**
		* Listen for Linked Post Type
		*/
		$( '#choose_field_type' ).change( function( event ){
			event.preventDefault();
			var selected = $( this ).val();
			if ( 'linked_post_type' == selected ) {
				$( '#choose_link_to' ).removeClass( 'hidden' );
			} else {
				$( '#choose_link_to' ).addClass( 'hidden' );
			}
		});
		/**
		* Add a New Field
		*/

		$( '#wpd_add_field' ).click(function( event ){
			event.preventDefault();
			var name = $( '#new_field' ).val();
			var type = $( '#choose_field_type' ).val();
			var post_type = $( '#choose_link_to' ).val();
			// Basic validation
			if ( '' == name || '' == type ) {
				return;
			}
			if ( 'linked_post_type' == type && '' == post_type ) {
				return;
			}

			var field_uid = 'wpd_' + name.replace( / /g, '_' ).toLowerCase();
			// Make a new field
			var field = $( '.set-dictionary-field:last-child' ).clone( true );
			field.attr( 'id', 'dictionary-field-' + field_uid );
			field.find( '.field-info .name' ).html( name );
			field.find( '.field-info .type' ).html( type );
			field.find( '.row-actions .edit a' ).attr( 'href', '#TB_inline?width=300&height=170&inlineId=thickbox-' + field_uid );
			field.find( '.row-actions .delete a' ).attr( 'href', '#delete?field=' + field_uid ).attr( 'rel', 'dictionary-field-' + field_uid );
			// Get Dictionary Option Name
			var option_field = field.find( 'input[type=hidden]:first-of-type' ).attr( 'name' );
			var option_position = option_field.indexOf( '[' );
			var option_name = option_field.substr( 0, option_position );

			// Reset Hidden Fields
			field.find( 'input[type="hidden"]' ).remove();
			field.append( '<input type="hidden" name="' + option_name + '[fields][' + field_uid + '][type]" value="' + type + '" />' );
			field.append( '<input type="hidden" name="' + option_name + '[fields][' + field_uid + '][label]" value="' + name + '" />' );
			if ( 'linked_post_type' == type && '' != post_type ) {
				field.append( '<input type="hidden" name="' + option_name + '[fields][' + field_uid + '][link_to]" value="' + post_type + '" />' );
			}

			// Update Thickbox
			field.find( '[id*="thickbox"]' ).attr( 'id', 'thickbox-' + field_uid );
			field.find( '[id*="thickbox"] h3' ).html( 'Editing ' + name );
			field.find( '[id*="thickbox"] input' ).val( name ).attr('id', 'change-dictionary-field-' + field_uid );
			field.find( '[id*="thickbox"] span.message' ).attr('class', 'message dictionary-field-' + field_uid );
			field.find( '[id*="thickbox"] a' ).attr( 'rel', 'dictionary-field-' + field_uid );

			$( '.list-meta' ).append( field );
		});

		/**
		 * Edit Field Labels
		 */
		$( '.update-field' ).click(function(event){
			event.preventDefault();
			var field_id = $( this ).attr( 'rel' );
			var field_name = $( '#change-' + field_id ).val();
			var message = $('.message.' + field_id );
			if ( '' == field_name ) {
				// Must have a value
				message.html( 'Label was empty, please enter a label.' ).addClass('error');
			} else {
				// Update public field name
				var field = $( '.set-dictionary-field#' + field_id );
				field.find( '.field-info .name' ).html( field_name );
				// Update option value
				var option_field = field.find( 'input[type=hidden][name*=label]' );
				option_field.val( field_name );
				// Close modal
				$('#TB_closeWindowButton').trigger('click');
			}
		});
}); })( jQuery );
