<div class="wrap activate-dictionary">
    <h1><?php _e( 'Activate Dictionary Pro', 'dictionary-pro' ); ?><span class="version">Version <?php echo $version; ?></span></h1>
	<div class="messages">
		<p><?php _e( 'Thank you for installing the Dictionary Pro plugin! Enter your license key to get started.', 'dictionary-pro' ); ?></p>
	</div>
	<form method="POST">
		<?php if ( isset( $error ) && ! empty( $error ) ) { ?>
			<div class="notice notice-error">
				<p><?php echo $error; ?></p>
			</div>
		<?php } ?>
		<p><input id="license_email" name="license_email" type="text" class="regular-text" placeholder="email@example.com" value="<?php bloginfo( 'admin_email' ); ?>" /></p>
		<p><input id="license_key" name="license_key" type="text" class="regular-text" placeholder="DIALECT_XXXXXXXXXXX" value="" /></p>
		<input type="hidden" name="license_password" value="<?php echo DICTIONARY_PRO_SECRET_KEY; ?>" />
		<p><input type="submit" value="Activate Now" class="button button-primary"> <a href="https://dialectpro.org/account/" class="button" target="_blank">Get License Key</a></p>
	</form>
	<hr />
	<div class="messages">
		<h3>Are you migrating from the Dictionary plugin for WordPress?</h3>
		<script>
		jQuery(document).ready(function($) {
			$('#view-migration-help').click(function(event){
				event.preventDefault();
				$('#migration-help').toggleClass('hidden');
			});
		});
		</script>
		<p><a href="#" id="view-migration-help" class="button">More Information</a></p>
		<div id="migration-help" class="hidden">
			<p><strong>Why the change?</strong> Since releasing this project at budget pricing four years ago, I have learned it is very expensive to keep software up to date. It is my personal standard to put out top-shelf, premier-quality work. Up until now I could not afford to consistently provide that with this plugin. In order to fund the ongoing development of the Dictionary plugin and maintain these standards, I am moving to a new annual licensing system. While I apologize for any inconvenience it causes you right now, it means you’ll get more frequent updates, powerful features and integrations, as well as better support going forward.</p>
			<p>Your old account from <em>my.annedorko.com</em> is now available at <em>dialectpro.org</em>. You should have already received an email update with your new license. If you did not recieve that email, please follow these directions to activate the plugin.</p>
			<ol>
				<li>Visit and bookmark <a href="https://dialectpro.org/account/" target="_blank">https://dialectpro.org/account/</a></li>
				<li>Login using your email and password from <strong>my.annedorko.com</strong></li>
				<li>Go to <em>My Downloads</em></li>
				<li>Find the license key</li>
				<li>Copy your license key and enter it in the field above</li>
				<li>Click the <em>Activate Now</em> button</li>
			</ol>
			<p>Don’t forget to <a href="https://dialectpro.org/semantics/" target="_blank">subscribe to the blog</a> to get tips on running your site and dictionary more effectively!</p>
			<p>Thank you for all of your patience and support. If you have any questions about the new system, please contact my team at <a href="mailto:hello@dialectpro.org">hello@dialectpro.org</a>, and we’ll help you figure it all out.</p>
			<p>Sincerely,<br />&nbsp;&nbsp;&nbsp;&nbsp;Anne Dorko<br /><img src="https://dialectpro.org/wp-content/uploads/2016/08/signature.png" style="width: 150px; height: auto;" /></p>
		</div>
	</div>
</div>
