<div class="wrap welcome-dictionary">
    <div class="header">
        <img class="logo" src="<?php echo plugins_url( '/admin/images/dictionary-pro-logo.png', WPD_BASENAME ); ?>" />
		<div class="intro">
			<h1>Welcome to Dictionary Pro <span class="version"><?php echo $version; ?></span></h1>
			<p class="lead-paragraph">Thank you for choosing Dictionary Pro, formerly known as the Dictionary plugin for WordPress. Dictionary Pro 3.0.0 has been completely rebuilt from the ground up to be more powerful and easy-to-use than ever.</p>
		</div>
	</div>
	<div class="welcome-panel">
		<div class="welcome-panel-content">
			<h2>What’s there to love? A lot. Seriously, so much.</h2>
			<p class="about-description">The features you know and love are all still here, only they can do more and are easier on the eye. Plus, running your dictionary will now be second nature – you’ll never have to disrupt your blogging flow to add entries again.</p>
			<div class="welcome-panel-column-container">
				<div class="welcome-panel-column">
					<h3>Create Entries While Blogging <span class="label-new">New</span></h3>
					<p>You never have to interrupt your blogging workflow again. Create dictionary entries while you blog with the push of a button for words you're already explaining in the post.</p>
				</div>
				<div class="welcome-panel-column">
					<h3>Enable Default Styles <span class="label-new">New</span></h3>
					<p>You asked for built-in styles, and now they’re here! Simply check a box and your dictionary entries will shape up all on their own.</p>
				</div>
				<div class="welcome-panel-column welcome-panel-last">
					<h3>Customize Your Entries <span class="label-new">New</span></h3>
					<p>Add custom info or even create relationships between any post type and your entries. It’ll automatically track those relationships as you publish new content.</p>
				</div>
			</div>
			<div class="welcome-panel-column-container">
				<div class="welcome-panel-column">
					<h3>Support for Simple Tooltips <span class="label-new">New</span></h3>
					<p>Did somebody say tooltips? Instead of trying to reinvent a wheel that already works really well, Dictionary Pro now integrates seamlessly with Simple Tooltips.</p>
				</div>
				<div class="welcome-panel-column">
					<h3>Default to Dictionary Search <span class="label-new">New</span></h3>
					<p>Is your site primarily used as a dictionary? All you have to do is check a box, and all your search boxes will default to searching entries only.</p>
				</div>
				<div class="welcome-panel-column welcome-panel-last">
					<h3>Control Dictionary Archives <span class="label-new">New</span></h3>
					<p>A highly featured request, you can now restrict archives to show title entries only. In fact, you can choose whether to paginate your archives or not.</p>
				</div>
			</div>
			<div class="welcome-panel-column-container">
				<div class="welcome-panel-column">
					<h3>Automatic Front-End Linking <span class="label-new classic">Classic</span></h3>
					<p>Your dictionary entries will automatically link to themselves within your entries. Only if you want them to, of course. They’ve been optimized for faster performance in <?php echo $version; ?>.</p>
				</div>
				<div class="welcome-panel-column">
					<h3>Customized Display <span class="label-new classic">Classic</span></h3>
					<p>Not only can you decide what information your entries have, but you can also control which order they show up in with an easy drag-and-drop interface.</p>
				</div>
				<div class="welcome-panel-column welcome-panel-last">
					<h3>Custom Permalinks <span class="label-new classic">Classic</span></h3>
					<p>Working in another language? Or just want to use a word besides <em>dictionary</em>? No problem. Set a custom dictionary permalink.</p>
				</div>
			</div>
		</div>
	</div>
	<div class="get-started">
		<div class="get-started-content">
			<h2>Getting Started With Dictionary Pro</h2>
			<hr />
			<div class="get-started-container">
				<div class="column">
					<h3>1. Visit Settings</h3>

					<p>Get started by reviewing the dictionary settings to make sure it will behave the way you expect on your site. Make sure you look for the following:</p>

					<ol>
						<li>Enable automatic front-end linking</li>
						<li>Enable tooltips for definitions</li>
						<li>Customize the data your dictionary displays</li>
						<li>Customize how your entries look and behave in your theme</li>
					</ol>

					<p class="aligncenter"><a href="<?php echo admin_url( 'edit.php?post_type=dictionary&page=settings' ); ?>" class="button button-primary button-large">Visit Settings</a></p>
				</div>

				<div class="column">
					<h3>2. Create a Menu</h3>

					<p>If you want to create a dictionary section on your website, you can use the <code>[dictionary menu]</code> shortcode on any page, or set up a menu to use within your theme.</p>

					<ol>
						<li>Visit the WordPress menus page</li>
						<li>Click "Create New Menu"</li>
						<li>If you don't see the Entry Sections for A-Z...
							<ul>
								<li>Click "Screen Options"</li>
								<li>Tick the box for Entry Sections</li>
							</ul>
						</li>
						<li>In the Entry Sections box, click "View All"</li>
						<li>Click "Select All"</li>
						<li>Click "Add to Menu"</li>
						<li>Save your new menu</li>
					</ol>

					<p class="aligncenter"><a href="<?php echo admin_url( 'nav-menus.php' ); ?>" class="button button-primary button-large">Create a Menu</a></p>
				</div>

				<div class="column">
					<h3>3. Add Entries</h3>

					<p>Now you're ready to add entries! You can add entries while you blog by highlighting the current definition you're writing within the post and clicking "Create Entry" above the text editor.</p>

					<p>If you prefer, you can still add entries separately.</p>

					<p class="aligncenter"><a href="<?php echo admin_url( 'post-new.php?post_type=dictionary' ); ?>" class="button button-primary button-large">Add Entry</a></p>
				</div>
			</div>
		</div>
	</div>

</div>
